Bug 811893 - zbar is unable to install due to ImageMagick dependency issues this is affecting yum updates
zbar is unable to install due to ImageMagick dependency issues this is affect...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zbar (Show other bugs)
17
x86_64 All
urgent Severity urgent
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
: Desktop
: 810726 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 05:10 EDT by Dan Mashal
Modified: 2012-04-18 19:09 EDT (History)
7 users (show)

See Also:
Fixed In Version: zbar-0.10-11.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-14 18:53:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Mashal 2012-04-12 05:10:55 EDT
[root@Fedora17 ImageMagick-6.7.6-5]# yum install zbar
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: linux.mirrors.es.net
 * updates: linux.mirrors.es.net
 * updates-testing: linux.mirrors.es.net
Resolving Dependencies
--> Running transaction check
---> Package zbar.x86_64 0:0.10-10.fc17 will be installed
--> Processing Dependency: libMagickWand.so.4()(64bit) for package: zbar-0.10-10.fc17.x86_64
--> Processing Dependency: libMagickCore.so.4()(64bit) for package: zbar-0.10-10.fc17.x86_64
--> Finished Dependency Resolution
Error: Package: zbar-0.10-10.fc17.x86_64 (fedora)
           Requires: libMagickCore.so.4()(64bit)
           Available: ImageMagick-6.7.1.9-3.fc17.x86_64 (fedora)
               libMagickCore.so.4()(64bit)
           Installed: ImageMagick-6.7.5.6-3.fc17.x86_64 (@updates-testing)
               Not found
Error: Package: zbar-0.10-10.fc17.x86_64 (fedora)
           Requires: libMagickWand.so.4()(64bit)
           Available: ImageMagick-6.7.1.9-3.fc17.x86_64 (fedora)
               libMagickWand.so.4()(64bit)
           Installed: ImageMagick-6.7.5.6-3.fc17.x86_64 (@updates-testing)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@Fedora17 ImageMagick-6.7.6-5]# 

This is also affecting yum update.
Comment 1 Pavel Alexeev 2012-04-12 05:19:57 EDT
It is zbar specific issue which need rebuild and updates.
IM update was announced around the month ago.
Comment 2 Fedora Update System 2012-04-12 14:46:12 EDT
zbar-0.10-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zbar-0.10-11.fc17
Comment 3 Fedora Update System 2012-04-13 02:12:45 EDT
Package zbar-0.10-11.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zbar-0.10-11.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5802/zbar-0.10-11.fc17
then log in and leave karma (feedback).
Comment 4 Douglas Schilling Landgraf 2012-04-14 14:43:09 EDT
*** Bug 810726 has been marked as a duplicate of this bug. ***
Comment 5 Dan Mashal 2012-04-14 18:50:16 EDT
Problem seems fixed now. Thanks.
Comment 6 Fedora Update System 2012-04-18 19:09:36 EDT
zbar-0.10-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.